function RES=middleAbsDev(ARG)
% Нахождение среднего модуля отклонений ряда (по строкам)
% Вход  : ARG - ряд или матрица
% Выход : RES - значение или столбик значений, рассчитанных для строк
% Зависимость : middleArith (среднее арифметическое)

[m,n]=size(ARG);

MA=middleArith(ARG);
for i=1:m
    RES(i,1)=sum(abs(ARG(i,:)-MA(i,1)))/n;
end